Subject: [Ecrit] Additional data concerns

From: "Thomson, Martin" <[email-masked]>
Date: Tue, 26 Jul 2011 03:10:53 +0800

I raised a few concerns about the language in this document in the meeting.

There are a lot of little things, but they make it more difficult to follow than it really needs to be.

The use of MIME and related terminology is systematically confused.

For instance, this statement cannot be correct:

   The MIME type is "addDataProviderInfo".

A MIME media type is identified in a particular form, that must include '/'.

Equally, the statement:

   Each block is a MIME type, [...]

Doesn't make sense.

   Each block is a document, identified with the emergencyCallData purpose.  The type of each block is identified using a MIME media type.

I'd also like to see the XML schema completed.  As noted, extensibility is important, but we need to be able to choose where to extend.  I think that extension by adding a new media type is appropriate in some cases and extending existing XML is appropriate in others.

>From an editorial perspective, I find the formatting of the elements distracting.  The list structure seems unnecessary.  I think that this could be cut back to the following form:

3.1.2 Data Provider ID
 
  The <ProviderID> element includes a jurisction-specific identifier for the data provider.  This might he used to locate information about the data provider.

There might be more.  I'll have more exhaustive look later.  Hopefully, a new version of the draft will have this easier.

--Martin